<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>ru.entaxy.esb.system</groupId>
        <artifactId>management</artifactId>
        <version>1.9.0</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <groupId>ru.entaxy.esb.system.management.file.upload</groupId>
    <artifactId>file-upload</artifactId>
    <packaging>bundle</packaging>

    <name>SYSTEM :: ENTAXY :: FILE :: UPLOAD</name>
    <description>SYSTEM :: ENTAXY :: FILE :: UPLOAD</description>

    <properties>
        <bundle.osgi.import.pkg>
            org.apache.cxf.jaxrs.impl,
            org.apache.camel.component.cxf.jaxrs.blueprint,
            org.apache.camel.component.cxf.blueprint,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>

        <dependency>
            <groupId>ru.entaxy.esb.system.commons</groupId>
            <artifactId>system-commons</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>

        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>org.osgi.service.component.annotations</artifactId>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
            <artifactId>base-support</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
            <artifactId>resources-api</artifactId>
            <version>${project.version}</version>
        </dependency>

    </dependencies>
</project>
